Index: /trunk/admin/include/photos_add_direct_prepare.inc.php
===================================================================
--- /trunk/admin/include/photos_add_direct_prepare.inc.php	(revision 11965)
+++ /trunk/admin/include/photos_add_direct_prepare.inc.php	(revision 11966)
@@ -56,14 +56,48 @@
 $uploadify_path = PHPWG_ROOT_PATH.'admin/include/uploadify';
 
+$upload_max_filesize = min(
+  get_ini_size('upload_max_filesize'),
+  get_ini_size('post_max_size')
+  );
+
+if ($upload_max_filesize == get_ini_size('upload_max_filesize'))
+{
+  $upload_max_filesize_shorthand = get_ini_size('upload_max_filesize', false);
+}
+else
+{
+  $upload_max_filesize_shorthand = get_ini_size('post_max_filesize', false);
+}
+
 $template->assign(
     array(
       'F_ADD_ACTION'=> PHOTOS_ADD_BASE_URL,
       'uploadify_path' => $uploadify_path,
-      'upload_max_filesize' => min(
-        get_ini_size('upload_max_filesize'),
-        get_ini_size('post_max_size')
-        ),
-    )
-  );
+      'upload_max_filesize' => $upload_max_filesize,
+      'upload_max_filesize_shorthand' => $upload_max_filesize_shorthand,
+    )
+  );
+
+// what is the maximum number of pixels permitted by the memory_limit?
+if (pwg_image::get_library() == 'gd')
+{
+  $fudge_factor = 1.7;
+  $available_memory = get_ini_size('memory_limit') - memory_get_usage();
+  $max_upload_width = round(sqrt($available_memory/(2 * $fudge_factor)));
+  $max_upload_height = round(2 * $max_upload_width / 3);
+  $max_upload_resolution = floor($max_upload_width * $max_upload_height / (1024 * 1024));
+
+  // no need to display a limitation warning if the limitation is huge like 20MP
+  if ($max_upload_resolution < 25)
+  {
+    $template->assign(
+      array(
+        'max_upload_width' => $max_upload_width,
+        'max_upload_height' => $max_upload_height,
+        'max_upload_resolution' => $max_upload_resolution,
+        )
+      );
+  }
+}
 
 $upload_modes = array('html', 'multiple');
@@ -90,4 +124,15 @@
       'pwg_token' => get_pwg_token(),
       'another_upload_link' => PHOTOS_ADD_BASE_URL.'&amp;upload_mode='.$upload_mode,
+    )
+  );
+
+$upload_file_types = 'jpeg, png, gif';
+if ('html' == $upload_mode)
+{
+  $upload_file_types.= ', zip';
+}
+$template->assign(
+  array(
+    'upload_file_types' => $upload_file_types,
     )
   );
Index: /trunk/admin/include/uploadify/uploadify.css
===================================================================
--- /trunk/admin/include/uploadify/uploadify.css	(revision 11965)
+++ /trunk/admin/include/uploadify/uploadify.css	(revision 11966)
@@ -27,5 +27,4 @@
         max-height: 300px;
         overflow: auto;
-        border: 1px solid #333;
         margin: 0 auto 10px auto;
         padding: 5px 0 10px 0;
Index: /trunk/admin/themes/default/template/photos_add_direct.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 11965)
+++ /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 11966)
@@ -143,4 +143,9 @@
   });
 
+  jQuery("#uploadWarningsSummary a.showInfo").click(function() {
+    jQuery("#uploadWarningsSummary").hide();
+    jQuery("#uploadWarnings").show();
+  });
+
 {/literal}
 {if $upload_mode eq 'html'}
@@ -187,4 +192,7 @@
     'fileExt'        : '*.jpg;*.JPG;*.jpeg;*.JPEG;*.png;*.PNG',
     'sizeLimit'      : sizeLimit,
+    'onSelect'       : function(event,ID,fileObj) {
+      jQuery("#fileQueue").show();
+    },
     'onAllComplete'  : function(event, data) {
       if (data.errors) {
@@ -338,5 +346,5 @@
   <p id="batchLink"><a href="{$batch_link}">{$batch_label}</a></p>
 </fieldset>
-<p><a href="{$another_upload_link}">{'Add another set of photos'|@translate}</a></p>
+<p style="margin:10px"><a href="{$another_upload_link}">{'Add another set of photos'|@translate}</a></p>
 {else}
 
@@ -389,27 +397,36 @@
       <legend>{'Select files'|@translate}</legend>
 
+    <p id="uploadWarningsSummary">{$upload_max_filesize_shorthand}B. {$upload_file_types}. {if isset($max_upload_resolution)}{$max_upload_resolution}Mpx{/if} <a class="showInfo" title="{'Learn more'|@translate}">i</a></p>
+
+    <p id="uploadWarnings">
+{'Maximum file size: %sB.'|@translate|@sprintf:$upload_max_filesize_shorthand}
+{'Allowed file types: %s.'|@translate|@sprintf:$upload_file_types}
+  {if isset($max_upload_resolution)}
+{'Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'|@translate|@sprintf:$max_upload_resolution:$max_upload_width:$max_upload_height}
+  {/if}
+    </p>
+
 {if $upload_mode eq 'html'}
-    <p><a href="{$switch_url}">{'... or switch to the multiple files form'|@translate}</a></p>
-
-      <p>{'JPEG files or ZIP archives with JPEG files inside please.'|@translate}</p>
-
       <div id="uploadBoxes"></div>
       <div id="addUploadBox">
         <a href="javascript:">{'+ Add an upload box'|@translate}</a>
       </div>
+
+    <p id="uploadModeInfos">{'You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'|@translate|@sprintf:$switch_url}</p>
     
     </fieldset>
 
     <p>
-      <input class="submit" type="submit" name="submit_upload" value="{'Upload'|@translate}">
+      <input class="submit" type="submit" name="submit_upload" value="{'Start Upload'|@translate}">
     </p>
 {elseif $upload_mode eq 'multiple'}
+
     <p>
       <input type="file" name="uploadify" id="uploadify">
     </p>
 
-    <p><a href="{$switch_url}">{'... or switch to the old style form'|@translate}</a></p>
-
-    <div id="fileQueue"></div>
+    <div id="fileQueue" style="display:none"></div>
+
+    <p id="uploadModeInfos">{'You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'|@translate|@sprintf:$switch_url}</p>
 
     </fieldset>
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 11965)
+++ /trunk/admin/themes/default/theme.css	(revision 11966)
@@ -923,4 +923,5 @@
 .pluginActions DIV {display: table-cell; vertical-align: middle; line-height:18px; }
 .showInfo {display:block;position:absolute;top:0;right:5px;width:15px;font-style:italic;font-family:"Georgia",serif;background-color:#464646;font-size:0.9em;border-radius:10px;-moz-border-radius:10px;}
+.showInfo:hover {cursor:pointer}
 
 .warning:before {content:url(icon/warning.png);vertical-align:top;}
@@ -1060,2 +1061,12 @@
 #mainConfCheck .transparent {opacity:0.5;filter:alpha(opacity=50);}
 #mainConfCheck .order_by_is_custom {display:block;font-weight:normal;font-style:italic;margin-left:20px;}
+
+/* Upload Form */
+#uploadBoxes .file {margin-bottom:5px;text-align:left;}
+#uploadBoxes {margin-top:20px;}
+#addUploadBox {margin-bottom:2em;}
+
+p#uploadWarningsSummary {text-align:left;margin-bottom:1em;font-size:90%;color:#999;}
+p#uploadWarningsSummary .showInfo {position:static;display:inline;padding:1px 6px;margin-left:3px;}
+p#uploadWarnings {display:none;text-align:left;margin-bottom:1em;font-size:90%;color:#999;}
+p#uploadModeInfos {text-align:left;margin-top:1em;font-size:90%;color:#999;}
Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 11965)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 11966)
@@ -620,10 +620,7 @@
 $lang['Manage this set of %d photos'] = '%d إدارة اعدادت صور';
 $lang['Select files'] = 'اختيار الملفات';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'ملفات صور JPEG النقطيبة و ملفات مضغوطةZIP فقط';
 $lang['Everybody'] = 'الجميع';
 $lang['Who can see these photos?'] = 'من يمكنه رؤية هذه الصور';
 $lang['Who can see this photo?'] = 'من يمكنه رؤية هذه الصورة؟';
-$lang['... or switch to the old style form'] = '... أو اظهر الواجهة القديمة ';
-$lang['... or switch to the multiple files form'] = '... أو التحول إلى شكل ملفات متعددة';
 $lang['The websize maximum width must be a number between %d and %d'] = '%d و %d الحد الأعلى لعرض صورة الويب يجب أن تكون';
 $lang['The websize maximum height must be a number between %d and %d'] = '%d و %d الحد الأعلى لطول صورة الويب يجب أن تكون بين ';
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 11965)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 11966)
@@ -621,6 +621,4 @@
 $lang['%d photos uploaded'] = '%d fotos penjades';
 $lang['+ Add an upload box'] = '+ Afegeix un quadre de càrrega';
-$lang['... or switch to the multiple files form'] = '... o canvia pel formulari de fitxers múltiples';
-$lang['... or switch to the old style form'] = '... o canvia pel formulari d\'estil antic';
 $lang['Action'] = 'Acció';
 $lang['Activate field "%s"'] = 'Afegeix camp "%s"';
@@ -689,5 +687,4 @@
 $lang['Installed Languages'] = 'Installed Languages';
 $lang['Invert'] = 'Invert';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG files or ZIP archives with JPEG files inside please.';
 $lang['Keep high definition'] = 'Keep high definition';
 $lang['Language has been successfully installed'] = 'Language has been successfully installed';
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 11965)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 11966)
@@ -593,5 +593,4 @@
 $lang['Manage this set of %d photos'] = 'Spravovat tento soubor %d fotografií';
 $lang['Select files'] = 'Výběr souborů';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG soubory nebo ZIP archivy s JPEG soubory prosím.';
 $lang['Operation in progress'] = 'Provádím údržbu.';
 $lang['Please wait...'] = 'Prosím počkejte...';
@@ -624,6 +623,4 @@
 $lang['Who can see this photo?'] = 'Kdo může vidět tuto fotografii?'; 
 $lang['Pending Comments'] = 'Nevyřízené komentáře';
-$lang['... or switch to the old style form'] = '... nebo přepněte na původní styl';
-$lang['... or switch to the multiple files form'] = '... nebo přepněte na formát vícenásobných souborů';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Maximální šířka webovské stránky musí být číslo mezi %d a %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Maximální výška webovské stránky musí být číslo mezi %d a %d';
Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 11965)
+++ /trunk/language/da_DK/admin.lang.php	(revision 11966)
@@ -617,9 +617,6 @@
 $lang['Manage this set of %d photos']     =     'Administrer dette sæt af %d billeder ';
 $lang['Select files']     =     'Vælg filer';
-$lang['JPEG files or ZIP archives with JPEG files inside please.']     =     'JPEG-filer eller ZIP arkiver med JPEG-filer inde tak. ';
 $lang['Everybody']     =     'Alle';
 $lang['Who can see these photos?']     =     'Hvem kan se disse billeder? ';
-$lang['... or switch to the old style form']     =     '... eller skifte til den gamle stil form ';
-$lang['... or switch to the multiple files form']     =     '... eller skifte til flere filer form';
 $lang['The websize maximum width must be a number between %d and %d']     =     'Det websize maksimale bredde skal være et tal mellem %d og %d ';
 $lang['The websize maximum height must be a number between %d and %d']     =     'Det websize maksimale højde skal være et nummer mellem %d og %d ';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 11965)
+++ /trunk/language/de_DE/admin.lang.php	(revision 11966)
@@ -618,10 +618,7 @@
 $lang['Manage this set of %d photos'] = 'Verwalte dieses Set von %d Fotos';
 $lang['Select files'] = 'Wähle Dateien aus';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG Dateien oder ZIP Archive, die JPEG Dateien enthalten bitte.';
 $lang['Everybody'] = 'Jedermann';
 $lang['Who can see these photos?'] = 'Wer soll die Fotos sehen können?';
 $lang['Who can see this photo?'] = 'Wer soll dieses Foto sehen können?';
-$lang['... or switch to the old style form'] = '... oder schalte um auf das alte Formular';
-$lang['... or switch to the multiple files form'] = '... oder schalte um auf Mehrfachauswahl';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Die maximale Breite muss eine Zahl zwischen %d und %d sein';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Die maximale Höhe muss eine Zahl zwischen %d und %d sein';
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 11965)
+++ /trunk/language/en_UK/admin.lang.php	(revision 11966)
@@ -80,6 +80,4 @@
 $lang['+ Add an upload box'] = '+ Add an upload box';
 $lang[', click on'] = ", click on";
-$lang['... or switch to the multiple files form'] = '... or switch to the multiple files form';
-$lang['... or switch to the old style form'] = '... or switch to the old style form';
 $lang['A local listing.xml file has been found for'] = "A local listing.xml file has been found for";
 $lang['A new version of Piwigo is available.'] = "A new version of Piwigo is available.";
@@ -365,5 +363,4 @@
 $lang['Invert'] = 'Invert';
 $lang['IP'] = "IP";
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG files or ZIP archives with JPEG files inside please.';
 $lang['jump to album'] = "jump to album";
 $lang['jump to photo'] = "jump to photo";
@@ -847,3 +844,8 @@
 $lang['Create'] = 'Create';
 $lang['Start Upload'] = 'Start Upload';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.';
+$lang['Maximum file size: %sB.'] = 'Maximum file size: %sB.';
+$lang['Allowed file types: %s.'] = 'Allowed file types: %s.';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).';
 ?>
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 11965)
+++ /trunk/language/es_ES/admin.lang.php	(revision 11966)
@@ -616,9 +616,6 @@
 $lang['Manage this set of %d photos'] = 'Administrar este lote de %d fotos';
 $lang['Select files'] = 'Escoger ficheros';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Ficheros JPEG o archivas ZIP que contiene ficheros JPEG por favor.';
 $lang['Everybody'] = 'Todo el mundo';
 $lang['Who can see these photos?'] = '¿ Quién puede ver estas fotos?';
-$lang['... or switch to the old style form'] = '... o utilizar el antiguo formulario';
-$lang['... or switch to the multiple files form'] = '... o utilizar el formulario multificheros';
 $lang['The websize maximum width must be a number between %d and %d'] = 'La ancho máxima para la medidas de las fotos debe ser una cifra comprendida entra  %d y %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'La altura máxima para la medidas de las fotos debe ser una cifra comprendida entra  %d y %d';
Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 11965)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 11966)
@@ -619,10 +619,7 @@
 $lang['Manage this set of %d photos'] = 'Manage this set of %d photos';
 $lang['Select files'] = 'انتخاب فایل‌ها';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'فایل‌های JPEG یا آرشیو ZIP که دارای فایل JPEG است را وارد نمایید';
 $lang['Everybody'] = 'همه';
 $lang['Who can see these photos?'] = 'چه کسی قادر به مشاهده این تصاویر باشد؟';
 $lang['Who can see this photo?'] = 'چه کسی قادر به مشاهده این تصویر باشد';
-$lang['... or switch to the old style form'] = 'تعویض به فرم آپلود قدیمی...';
-$lang['... or switch to the multiple files form'] = 'تعویض به حالت جدید ....';
 $lang['The websize maximum width must be a number between %d and %d'] = 'حداکثر عرض برای تصویر پیش‌فرض باید عددی بین %d و %d باشد';
 $lang['The websize maximum height must be a number between %d and %d'] = 'حداکثر طول تصویر پیش‌فرض باید عددی بین %d و %d باشد';
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 11965)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 11966)
@@ -627,10 +627,7 @@
 $lang['Manage this set of %d photos'] = 'Gérer ce lot de %d photos';
 $lang['Select files'] = 'Choisir des fichiers';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Fichiers JPEG ou archives ZIP contenant des fichiers JPEG s\'il vous plaît.';
 $lang['Everybody'] = 'Tout le monde';
 $lang['Who can see these photos?'] = 'Qui peut voir ces photos ?';
 $lang['Who can see this photo?'] = 'Qui peut voir cette photo ?';
-$lang['... or switch to the old style form'] = '... ou utiliser le formulaire "à l\'ancienne"';
-$lang['... or switch to the multiple files form'] = '... ou utiliser le formulaire multi-fichiers';
 $lang['The websize maximum width must be a number between %d and %d'] = 'La largeur maximum pour la photo taille web doit être un chiffre compris entre %d et %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'La hauteur maximum pour la photo taille web doit être un chiffre compris entre %d et %d';
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 11965)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 11966)
@@ -622,10 +622,7 @@
 $lang['Manage this set of %d photos'] = 'Gérer ce lot de %d photos';
 $lang['Select files'] = 'Choisir des fichiers';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Fichiers JPEG ou archives ZIP contenant des fichiers JPEG s\'il vous plaît.';
 $lang['Everybody'] = 'Tout le monde';
 $lang['Who can see these photos?'] = 'Qui peut voir ces photos ?';
 $lang['Who can see this photo?'] = 'Qui peut voir cette photo ?';
-$lang['... or switch to the old style form'] = '... ou utiliser le formulaire "à l\'ancienne"';
-$lang['... or switch to the multiple files form'] = '... ou utiliser le formulaire multi-fichiers';
 
 $lang['The websize maximum width must be a number between %d and %d'] = 'La largeur maximum pour la photo taille web doit être un chiffre compris entre %d et %d';
@@ -856,3 +853,8 @@
 $lang['Create'] = 'Créer';
 $lang['Start Upload'] = 'Démarrer le transfert';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Vous utilisez le formulaire Flash. Des problèmes ? Essayez le <a href="%s">formulaire HTML</a> à la place.';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Vous utilisez le formulaire HTML. Essayez le <a href="%s">formulaire Flash</a> à la place.';
+$lang['Maximum file size: %sB.'] = 'Poids maximum des fichiers : %sB.';
+$lang['Allowed file types: %s.'] = 'Types de fichiers autorisés : %s.';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Résolution maximum approximative : %dM pixels (soit %dx%d pixels).';
 ?>
Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 11965)
+++ /trunk/language/he_IL/admin.lang.php	(revision 11966)
@@ -616,10 +616,7 @@
 $lang['Manage this set of %d photos'] = 'נהל את קבוצת התמונות הזאת (%d תמונות)';
 $lang['Select files'] = 'בחר קבצים';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'קבצי JPEG או בארכיון ZIP עם קבצי JPEG בתוך בבקשה.';
 $lang['Everybody'] = 'כולם';
 $lang['Who can see these photos?'] = 'מי יכול לראות את התמונות?';
 $lang['Who can see this photo?'] = 'מי יכול לראות את התמונה?';
-$lang['... or switch to the old style form'] = '... או לעבור בצורה בסגנון הישן ';
-$lang['... or switch to the multiple files form'] = '... או לעבור בצורת קבצים מרובים ';
 $lang['The websize maximum width must be a number between %d and %d'] = 'רוחב מרבי websize חייב להיות מספר בין% d% d ';
 $lang['The websize maximum height must be a number between %d and %d'] = 'הגובה המרבי של האתר חייב להיות מספר בין %d ו %d';
Index: /trunk/language/hr_HR/admin.lang.php
===================================================================
--- /trunk/language/hr_HR/admin.lang.php	(revision 11965)
+++ /trunk/language/hr_HR/admin.lang.php	(revision 11966)
@@ -616,9 +616,6 @@
 $lang['Manage this set of %d photos'] = 'Upravljanje ovim skupom od %d slika';
 $lang['Select files'] = 'Odaberi zapise';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG zapisi ili ZIP arhive sa JPEG zapisima unutra molim.';
 $lang['Everybody'] = 'Svi';
 $lang['Who can see these photos?'] = 'Tko može pregledavati ove slike?';
-$lang['... or switch to the old style form'] = '... ili prebaci na oblik starog stila';
-$lang['... or switch to the multiple files form'] = '... ili prebaci na oblik višestrukih zapisa';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Najveća širina web prozora mora biti broj između %d i %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Najveća visina web prozora mora biti broj između %d i %d';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 11965)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 11966)
@@ -604,9 +604,6 @@
 $lang['Manage this set of %d photos'] = 'Szerkessze a készlet (%d elem) képeit';
 $lang['Select files'] = 'Képek kiválasztása';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG kiterjesztésű képeket, vagy JPEG képeket tartalmazó ZIP archivumot kérek.';
 $lang['Everybody'] = 'Mindenki';
 $lang['Who can see these photos?'] = 'Ki láthatja a képeket?';
-$lang['... or switch to the old style form'] = '... vagy váltson át a hagyományos feltöltésre';
-$lang['... or switch to the multiple files form'] = '... vagy váltson át flash alapú feltöltésre';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Meg kell adni a kép legnagyobb szélességét pixelben %d és %d között';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Meg kell adni a kép legnagyobb magasságát pixelben %d és %d között';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 11965)
+++ /trunk/language/it_IT/admin.lang.php	(revision 11966)
@@ -622,10 +622,7 @@
 $lang['Manage this set of %d photos'] = 'Gestire questo set di %d foto';
 $lang['Select files'] = 'Scegliere i file';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'File JPEG o archivi ZIP con dentro dei file JPEG per cortesia.';
 $lang['Everybody'] = 'Tutti';
 $lang['Who can see these photos?'] = 'Chi può vedere queste foto?';
 $lang['Who can see this photo?'] = 'Chi può vedere questa foto?';
-$lang['... or switch to the old style form'] = '... o passare sul modulo "vecchio stile"';
-$lang['... or switch to the multiple files form'] = '... o passare sul modulo multi-file';
 
 $lang['The websize maximum width must be a number between %d and %d'] = 'La larghezza massima della foto con dimenzioni per il web deve essere un numero tra %d e %d';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 11965)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 11966)
@@ -620,9 +620,6 @@
 $lang['Manage this set of %d photos'] = ' %d 枚の写真を管理する';
 $lang['Select files'] = 'ファイルを選択する';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEGファイル又は、ZIPファイルフォーマットに入っているJPEGファイル下さい。';
 $lang['Everybody'] = '全員';
 $lang['Who can see these photos?'] = 'どなたがこの写真を見られますか？';
-$lang['... or switch to the old style form'] = '... 又は、旧形式に変更する';
-$lang['... or switch to the multiple files form'] = '... 又は、複数ファイル式に変更する';
 $lang['The websize maximum width must be a number between %d and %d'] = 'ウェッブサイズの最大幅は %d と %dの中に設定する必要があります。';
 $lang['The websize maximum height must be a number between %d and %d'] = 'ウェッブサイズの最大の高さは%d と %dの中に設定する必要があります。';
Index: /trunk/language/ka_GE/admin.lang.php
===================================================================
--- /trunk/language/ka_GE/admin.lang.php	(revision 11965)
+++ /trunk/language/ka_GE/admin.lang.php	(revision 11966)
@@ -626,9 +626,6 @@
 $lang['Manage this set of %d photos'] = 'ამ კრებულის რედაქტირება, შემცველობით %d Fოტო';
 $lang['Select files'] = 'ავირჩიოთ ფაილები';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG ფაილები ან ZIP არქივი JPEG ფაილებით შიგნით.';
 $lang['Everybody'] = 'ყველა';
 $lang['Who can see these photos?'] = 'ვის შეუძლია ნახოს ეს ფოტოები?';
-$lang['... or switch to the old style form'] = '... ან გადართეთ ფორმის ძველ სახეზე';
-$lang['... or switch to the multiple files form'] = '... ან გადართეთ მულტი ატვირთვის ფორმაზე';
 $lang['The websize maximum width must be a number between %d and %d'] = 'ფოტოს მაქსიმალური სიგანე უნდა იყოს რიცხვი %d და %d შორის';
 $lang['The websize maximum height must be a number between %d and %d'] = 'ფოტოს მაქსიმალური სიმაღლე უნდა იყოს რიცხვი %d და %d შორის';
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 11965)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 11966)
@@ -612,10 +612,7 @@
 $lang['Manage this set of %d photos'] = 'Rediģēt šo %d attēlu kopumu.';
 $lang['Select files'] = 'Izvēlēties failus';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Lūdzu JPEG failus vai ZIP arhīvus no JPEG failiem.';
 $lang['Everybody'] = 'Visi';
 $lang['Who can see these photos?'] = 'Kas var skatīties šos attēlus?';
 $lang['Who can see this photo?'] = 'Kas var skatīties šo attēlu?';
-$lang['... or switch to the old style form'] = '... vai lietojiet vecā stila formu';
-$lang['... or switch to the multiple files form'] = '... vai lietojiet multiielādes formu';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Maksimālajam attēla platumam jābūt skaitlim starp %d and %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Maksimālajam attēla augstumam jābūt skaitlim starp %d and %d';
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 11965)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 11966)
@@ -616,9 +616,6 @@
 $lang['Manage this set of %d photos'] = 'Beheer deze reeks van %d foto\'s';
 $lang['Select files'] = 'Selecteer bestanden';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG bestanden of ZIP bestanden die JPEG bestanden bevatten aub.';
 $lang['Everybody'] = 'Iedereen';
 $lang['Who can see these photos?'] = 'Wie mag deze foto\'s zien?';
-$lang['... or switch to the old style form'] = '... of schakel om naar het oude-stijl formulier';
-$lang['... or switch to the multiple files form'] = '... of schakel om naar het meervoudige bestanden formulier';
 $lang['The websize maximum width must be a number between %d and %d'] = 'De webgrootte maximum breedte moet liggen tussen %d en %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'De webgrootte maximum hoogte moet liggen tussen %d en %d';
Index: /trunk/language/no_NO/admin.lang.php
===================================================================
--- /trunk/language/no_NO/admin.lang.php	(revision 11965)
+++ /trunk/language/no_NO/admin.lang.php	(revision 11966)
@@ -612,10 +612,7 @@
 $lang['Manage this set of %d photos'] = 'Behandle disse %d bildene';
 $lang['Select files'] = 'Velg filer';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG filer eller ZIP arkiv med JPEG filer inni.';
 $lang['Everybody'] = 'Alle';
 $lang['Who can see these photos?'] = 'Hvem kan se disse bildene?';
 $lang['Who can see this photo?'] = 'Hvem kan se dette bildet?';
-$lang['... or switch to the old style form'] = '... eller bytt til gammel stil format';
-$lang['... or switch to the multiple files form'] = '... eller bytt til flere filer format';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Websidens maksimums bredde må være et nummer mellom %d og %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Websidens maksimums høyde må være et nummer mellom %d og %d';
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 11965)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 11966)
@@ -620,9 +620,6 @@
 $lang['Manage this set of %d photos'] = 'Zarządzaj tym zbiorem %d zdjęć';
 $lang['Select files'] = 'Wybierz pliki';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Pliki JPEG lub archiwa ZIP z plikami JPEG w środku.';
 $lang['Everybody'] = 'Każdy';
 $lang['Who can see these photos?'] = 'Kto może oglądać te zdjęcia?';
-$lang['... or switch to the old style form'] = '... lub przełącz do starego stylu formularza';
-$lang['... or switch to the multiple files form'] = '... lub przełącz do formularza wielu plików';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Maksymalna szerokość dla www musi być liczbą pomiędzy %d i %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Maksymalna wysokość dla www musi być liczbą pomiędzy %d i %d';
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 11965)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 11966)
@@ -587,6 +587,4 @@
 $lang['%d photos uploaded'] = '%d fotos enviadas';
 $lang['+ Add an upload box'] = '+ Adicionar uma caixa de envio';
-$lang['... or switch to the multiple files form'] = '... ou mudar para o formulário de ficheiros múltiplos';
-$lang['... or switch to the old style form'] = '... ou mudar para o formulário antigo';
 $lang['Action'] = 'Acção';
 $lang['Activate field "%s"'] = 'Activar campo "%s"';
@@ -666,5 +664,4 @@
 $lang['Instructions to use Piwigo'] = 'Instruções para usar Piwigo';
 $lang['Invert'] = 'Inverter';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Ficheiros JPEG ou ficheiros ZIP com ficheiros JPEG dentro, por favor.';
 $lang['Keep high definition'] = 'Manter Alta Definição';
 $lang['Language has been successfully installed'] = 'Linguagem instalada com sucesso';
Index: /trunk/language/ro_RO/admin.lang.php
===================================================================
--- /trunk/language/ro_RO/admin.lang.php	(revision 11965)
+++ /trunk/language/ro_RO/admin.lang.php	(revision 11966)
@@ -263,6 +263,4 @@
 $lang['+ Add an upload box'] = '+ Adauga o cutie de încărcare';
 $lang[', click on'] = ', apasă pe';
-$lang['... or switch to the multiple files form'] = '... sau schimbă în formularul pentru fişiere multiple';
-$lang['... or switch to the old style form'] = '... sau schimbă în formularul în stilul vechi';
 $lang['A local listing.xml file has been found for'] = 'A fost găsit un fişier listing.xml local pentru';
 $lang['A new version of Piwigo is available.'] = 'O nouă versiune a lui Piwigo este disponibilă.';
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 11965)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 11966)
@@ -616,9 +616,6 @@
 $lang['Manage this set of %d photos'] = 'Редактировать этот набор из %d фотографий';
 $lang['Select files'] = 'Выбрать файлы';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG файлы или ZIP архивы с JPEG файлами внутри, пожалуйста.';
 $lang['Everybody'] = 'Все';
 $lang['Who can see these photos?'] = 'Кто может смотреть эти фотографии?';
-$lang['... or switch to the old style form'] = '... или переключитесь на старый вид формы';
-$lang['... or switch to the multiple files form'] = '... или переключитесь на форму мультизагрузки';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Максимальная ширина изображения должна быть числом между %d и %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Максимальная высота изображения должна быть числом между %d и %d';
Index: /trunk/language/sh_RS/admin.lang.php
===================================================================
--- /trunk/language/sh_RS/admin.lang.php	(revision 11965)
+++ /trunk/language/sh_RS/admin.lang.php	(revision 11966)
@@ -619,9 +619,6 @@
 $lang['Manage this set of %d photos'] = 'Uredi ovaj set %d fotografija';
 $lang['Select files'] = 'Izaberi datoteke';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG datoteke ili ZIP arhive sa JPEG datotekama u sebi molim.';
 $lang['Everybody'] = 'Svi';
 $lang['Who can see these photos?'] = 'Ko može da vidi fotografije?';
-$lang['... or switch to the old style form'] = '... ili promeni na stari stil obrazac';
-$lang['... or switch to the multiple files form'] = '...ili promeni na višestruke datoteke obrazac';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Maksimalna širina fotografije mora biti broj između %d i %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Maksimalna visina fotografije mora biti broj između %d i %d';
Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 11965)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 11966)
@@ -591,5 +591,4 @@
 $lang['Manage this set of %d photos'] = 'Spravovať tento súbor %d fotografií';
 $lang['Select files'] = 'Výber súborov';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG súbory alebo ZIP archívy s JPEG súbormi prosím.';
 
 // missing translations 2.1.0
@@ -624,6 +623,4 @@
 $lang['Who can see this photo?'] = 'Kto môže vidieť túto fotografiu?'; 
 $lang['Pending Comments'] = 'Nevybavené komentáre';
-$lang['... or switch to the old style form'] = '... alebo prepnite na pôvodné štýly';
-$lang['... or switch to the multiple files form'] = '... alebo prepnite na formát viacnásobných súborov';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Maximálna šírka webovej stránky musí byť číslo medzi %d a %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Maximálna výška webovej stránky musí byť číslo medzi %d a %d';
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 11965)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 11966)
@@ -619,9 +619,6 @@
 $lang['Manage this set of %d photos'] = 'Уреди овај сет %d фотографија';
 $lang['Select files'] = 'Изабери датотеке';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG датотеке или ZIP архиве са JPEG датотекама у себи молим.';
 $lang['Everybody'] = 'Сви';
 $lang['Who can see these photos?'] = 'Ко може да види фотографије?';
-$lang['... or switch to the old style form'] = '... или промени на стари стил образац';
-$lang['... or switch to the multiple files form'] = '...или промени на вишеструке датотеке образац';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Максимална ширина фотографије мора бити број између %d и %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Максимална висина фотографије мора бити број између %d и %d';
Index: /trunk/language/sv_SE/admin.lang.php
===================================================================
--- /trunk/language/sv_SE/admin.lang.php	(revision 11965)
+++ /trunk/language/sv_SE/admin.lang.php	(revision 11966)
@@ -613,11 +613,8 @@
 $lang['Manage this set of %d photos'] = 'Hantera settet om %d foton';
 $lang['Select files'] = 'Markerade filer';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG filer eller ZIP arkiv med JPEG filer innuti tack.';
 $lang['Everybody'] = 'Alla';
 $lang['Who can see these photos?'] = 'Vem kan se dessa foton?';
 $lang['Who can see this photo?'] = 'Vem kan se detta foto?';
 
-$lang['... or switch to the old style form'] = '... eller byt till gamla versionen av formuläret';
-$lang['... or switch to the multiple files form'] = '... eller byt till formuläret för att ladda upp många bilder';
 
 $lang['The websize maximum width must be a number between %d and %d'] = 'Webstorlekens maximala bredd måste vara ett nummer mellan %d och %d';
Index: /trunk/language/tr_TR/admin.lang.php
===================================================================
--- /trunk/language/tr_TR/admin.lang.php	(revision 11965)
+++ /trunk/language/tr_TR/admin.lang.php	(revision 11966)
@@ -612,10 +612,7 @@
 $lang['Manage this set of %d photos'] = 'Düzenle bu dizi %d resimleri';
 $lang['Select files'] = 'Dosyaları seçin';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG dosyaları ya da ZIP arşivleri içinde JPEG dosyaları olan.';
 $lang['Everybody'] = 'Herkes';
 $lang['Who can see these photos?'] = 'Kim bu resimleri görebilir?';
 $lang['Who can see this photo?'] = 'Kim bu resimi görebilir?';
-$lang['... or switch to the old style form'] = '... veya eski stil form geç';
-$lang['... or switch to the multiple files form'] = '... veya birden fazla dosya geçiş formu';
 $lang['The websize maximum width must be a number between %d and %d'] = 'En fazla genişlik %d ve %d sayıları arasında olmalı';
 $lang['The websize maximum height must be a number between %d and %d'] = 'En fazla yükseklik %d be %d sayıları arasında olmalı';
Index: /trunk/language/uk_UA/admin.lang.php
===================================================================
--- /trunk/language/uk_UA/admin.lang.php	(revision 11965)
+++ /trunk/language/uk_UA/admin.lang.php	(revision 11966)
@@ -95,6 +95,4 @@
 $lang['+ Add an upload box'] = '+ Додати вікно завантаження';
 $lang[', click on'] = ', натисніть на';
-$lang['... or switch to the multiple files form'] = '... або переключитися на форму завантаження кількох файлів';
-$lang['... or switch to the old style form'] = '... або переключитися на старий стиль форми';
 $lang['A local listing.xml file has been found for'] = 'Знайдено локальний файл listing.xml для';
 $lang['A new version of Piwigo is available.'] = 'Доступна нова версія Piwigo.';
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 11965)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 11966)
@@ -621,10 +621,7 @@
 $lang['Manage this set of %d photos'] = 'Quản lý bộ gồm %d ảnh';
 $lang['Select files'] = 'Chọn tệp tin';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Chỉ chấp nhận tệp tin JPEG hoặc định dạng lưu trữ ZIP chứa tệp JPEG bên trong.';
 $lang['Everybody'] = 'Mọi người';
 $lang['Who can see these photos?'] = 'Ai có thể xem được những bức ảnh này?';
 $lang['Who can see this photo?'] = 'Ai có thể xem được bức ảnh này?';
-$lang['... or switch to the old style form'] = '... hoặc chuyển sang fomr kiểu cũ';
-$lang['... or switch to the multiple files form'] = '... hoặc chuyển sang fomr kiểu đa tệp tin';
 $lang['The websize maximum width must be a number between %d and %d'] = 'Chiều rộng lớn nhất của trang web phải là số nằm giữa %d và %d';
 $lang['The websize maximum height must be a number between %d and %d'] = 'Chiều cao lớn nhất của trang web phải là số nằm giữa %d và %d';
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 11965)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 11966)
@@ -611,9 +611,6 @@
 $lang['Manage this set of %d photos'] = '管理此设置的 %d 张照片 ';
 $lang['Select files'] = '选择文件';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG 文件或者将 JPEG 文件放到一个 ZIP 档案里';
 $lang['Everybody'] = '每个人';
 $lang['Who can see these photos?'] = '哪些人可以看到这些相片?';
-$lang['... or switch to the old style form'] = '... 或者使用旧式的表单';
-$lang['... or switch to the multiple files form'] = '... 或者使用多文件上传表单';
 $lang['The websize maximum width must be a number between %d and %d'] = '最大宽度的网页尺寸必须在 %d 和 %d 之间';
 $lang['The websize maximum height must be a number between %d and %d'] = '最大高度的网页尺寸必须在 %d 和 %d 之间';
Index: /trunk/language/zh_TW/admin.lang.php
===================================================================
--- /trunk/language/zh_TW/admin.lang.php	(revision 11965)
+++ /trunk/language/zh_TW/admin.lang.php	(revision 11966)
@@ -611,9 +611,6 @@
 $lang['Manage this set of %d photos'] = '管理此設置的 %d 張照片 ';
 $lang['Select files'] = '選擇文件';
-$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG 文件或者將 JPEG 文件放到一個 ZIP 檔案裡';
 $lang['Everybody'] = '每個人';
 $lang['Who can see these photos?'] = '哪些人可以看到這些相片?';
-$lang['... or switch to the old style form'] = '... 或者使用舊式的表單';
-$lang['... or switch to the multiple files form'] = '... 或者使用多文件上傳表單';
 $lang['The websize maximum width must be a number between %d and %d'] = '最大寬度的網頁尺寸必須在 %d 和 %d 之間';
 $lang['The websize maximum height must be a number between %d and %d'] = '最大高度的網頁尺寸必須在 %d 和 %d 之間';
